Difference between revisions of "Template:OctaveForge"

From Octave
Jump to navigation Jump to search
(Add a small margin around table.)
 
Line 1: Line 1:
 
<includeonly>
 
<includeonly>
{| class="wikitable" style="float:right; width:25em; margin: 5px;"
+
{| class="wikitable" style="float:right; width:25em; margin-left: 1em;"
 
! colspan="2" | [[Octave Forge]]<br>{{{name}}}
 
! colspan="2" | [[Octave Forge]]<br>{{{name}}}
 
|-
 
|-

Latest revision as of 21:18, 12 August 2019

[edit]

Template-info.png Template Documentation

This template should serve as unified overview for Octave Forge packages.

Example:

{{OctaveForge
| name = interval
| logo = [[File:Interval.png|100px]]
| short description = Real-valued interval arithmetic.
| version = 3.2.0
| date = 2018-07-01
| author 1 name  = Oliver Heimlich
| author 1 email = <oheim@posteo.de>
| maintainer 1 name  = Oliver Heimlich
| maintainer 1 email = <oheim@posteo.de>
| license = GPL-3.0+
| group = Community package
| doc 1 = [https://octave.sourceforge.io/interval/overview.html Function reference]
| doc 2 = [https://octave.sourceforge.io/interval/package_doc/ User manual]
| download 1 = [https://octave.sourceforge.io/download.php?package=interval-3.2.0.tar.gz interval-3.2.0.tar.gz]
| repository 1 = https://octave.sourceforge.io/pkg-repository/interval/
| dependency 1 = octave ≥ 3.8.0
| dependency 2 = '''Runtime:''' mpfr (≥ 3.1.0) [https://packages.debian.org/search?keywords=libmpfr4 libmpfr4 for Debian]
| dependency 3 = '''Build:''' mpfr (≥ 3.1.0) [https://packages.debian.org/search?keywords=libmpfr-dev libmpfr-dev for Debian]
}}

Will produce the right-floating box:

Octave Forge
interval
Interval.png
Real-valued interval arithmetic.
pkg install -forge interval
Version: 3.2.0 (2018-07-01)
Author(s): Oliver Heimlich <oheim@posteo.de>
Maintainer(s): Oliver Heimlich <oheim@posteo.de>
License: GPL-3.0+
Group: Community package
Documentation: Function reference
User manual
Download: interval-3.2.0.tar.gz
Repository: https://octave.sourceforge.io/pkg-repository/interval/
Dependencies: octave ≥ 3.8.0
Runtime: mpfr (≥ 3.1.0) libmpfr4 for Debian
Build: mpfr (≥ 3.1.0) libmpfr-dev for Debian